Page MenuHomePhabricator

Medical editor stats 2017
Closed, ResolvedPublic

Description

What's requested: A list of the editors who made the most edits to medical content in 2017

Why it's requested: is done every year

When it's requested: ASAP

Other helpful information:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2018, 2:19 PM

@Ozzie10aaaa Thanks for the request, and sorry for the delay in responding—I was on vacation until today.

Unfortunately, I can't commit to working on this right now, particularly since the request doesn't explain why this list would be valuable.

However, perhaps @Ladsgroup would be interested in re-running his code from last year?

Neil_P._Quinn_WMF triaged this task as Lowest priority.Feb 23 2018, 12:56 PM

ill try Ladsgroup, thank you

Unfortunately I can't find the code.

Ozzie10aaaa added a comment.EditedFeb 24 2018, 2:51 PM

now what???....I'll confer w/ Wikiproject Medicine, see what to do, thanks

now what???....I'll confer w/ Wikiproject Medicine, see what to do, thanks

That makes sense. I'll keep this open on my backlog in case I do get time to work on it, but unfortunately I don't think it's very likely.

We have run this the last few years. You can see the prior data generated here https://en.wikipedia.org/wiki/Wikipedia:WikiProject_Medicine/Stats#Editor_numbers

We hand out Barnstars to all those who make more than 250 edits per year. We also consider this to be a useful metric with respect to keeping track of the health of the medical editing community.

Andrew West initially did the calculations for 2013. Ladsgroup do we not have the scripts on Github somewhere?

Neil_P._Quinn_WMF added a comment.EditedMar 1 2018, 9:49 AM

We hand out Barnstars to all those who make more than 250 edits per year. We also consider this to be a useful metric with respect to keeping track of the health of the medical editing community.

Thank you, that helps a lot to understand the value of doing this! Unfortunately, I still don't have any space to work on this in the near future (I'm still the only data analyst for the entire Contributors team), but I'll stay subscribed in case that changes.

Do you know anyone who would be interested in taking this on? Wiki Project Med Foundation has a small stipend for someone who is interested.

Do you know anyone who would be interested in taking this on? Wiki Project Med Foundation has a small stipend for someone who is interested.

Hmm...unfortunately, I can't think of anyone. Perhaps you could ask for help on analytics@lists.wikimedia.org? That list is public, so it includes many number-crunchers at the Foundation and elsewhere.

User:Yair rand has calculated the initial data on top medical editors for 2017 but it only includes EN values https://en.wikipedia.org/wiki/User:Yair_rand/TopMed_2017 Yes wanting data from other languages aswell.

Edgars2007 closed this task as Resolved.Apr 26 2018, 3:18 PM

Wikipedia:WikiProject Medicine/Stats/Top medical editors 2017 (all). Talk page contains some instructions.

BTW, @Ladsgroup - you had the code :) 'editor count.py' in dexbot's folder at Toolforge